Subject: Re: [PATCH 0/3] commit: convert pop_most_recent_commit() to prio_queue

From: Junio C Hamano <[email-masked]>
Date: Tue, 15 Jul 2025 17:07:38 -0700

René Scharfe <[email-masked]> writes:

> Use prio_queue to improve worst-case performance at the cost of slightly
> worse best-case performance.  Then add and use prio_queue_replace() to
> recover that loss.

Would change in the tiebreaking behaviour (aka sort stability) also
a cost of this change, as this swaps use of sorted linearly linked
list with priority queue?